DTCALC(1X)

NAME
dtcalc — The Common Desktop Environment Calculator.

SYNOPSIS
dtcalc [-a accuracy] [-m mode] [-b numeric_base] [-notation display_notation] [-trig trigonometric_type] [-session session_file] [-no_menu_bar]

DESCRIPTION
The Dtcalc program is a calculator for use within the Common Desktop Environment. It provides an easy to use interface designed to give access to common arithmetic and financial calculations.

The calculator is designed to operate in much the same way as many hand-held calculators. It provides three modes of operation: scientific, financial, and logical. The default operation is scientific, but with the easy to use GUI changing to the modes of operation are easy. When the operation mode is changed, a number of the keys change for the new operations.

OPTIONS
Dtcalc defines a number of command-line options which allow the user to configure how the calculator displays itself. Command-line options have a higher precedence then resources. By using command-line options a user can override anything specified in a resource file.

-a <accuracy>
    This is the initial number of digits displayed after the numeric point. This value must be in the range 0 to 9. The default value is 2.

-m <mode>
    This determines which mode the calculator will display itself in. There are three modes of operation: scientific, financial, or logical. Some of the calculator keys change when it changes between different modes.

-b <numeric_base>
    This determines which numeric base the calculator will use when it does calculations. There are four bases the calculator supports: binary (base 2), octal (base 8), decimal (base 10), or hexidecimal (base 16). The default is decimal.

-notation <display_notation>
    This determines how the answers are to be display on the calculator. There are three ways of displaying answers on the calculator: scientific, engineering, and fixed. The default is fixed.

-trig <trigonometric_type>
    This determines how answers are presented when the calculator is in scientific mode. There are three trigonometric ways to present the answers: degrees, radians, or gradients. The default is degrees.

-no_menu_bar
    This option makes the calculator come up with no menubar.

-session <session_file>
    This option takes the name of a session file as an additional parameter. Dtcalc is run with the specified session file name. This session file is a file that was previously saved by dtcalc during a session shutdown.

RESOURCES

The Calculator supports a number of resources which make it much more configurable. Following is the list of supported resources and their default values.

Client Resource Set
Name | Class | Type | Default
postMenuBar | PostMenuBar | Boolean | True
accuracy | accuracy | int | 2
base | Base | string | decimal
display | Display | string | fixed
mode | Mode | string | scientific
trigType | TrigType | string | degrees

Dtcalc*postMenuBar:
    Specifies wheither the menu bar should appear or not.

Dtcalc*accuracy:
    Specifies wheither the menu bar should appear or not.

Dtcalc*base:
    This resource allows the user to change the default for the numeric base the calculator uses when it does its calculations. The default is "decimal" which is base 10. Possible values are:

    binary (or bin): do calculations in base 2.

    octal (or oct): do calculations in base 8.

    decimal (or dec): do calculations in base 10.

    hexidecimal (or hex): do calculations in base 16.

Dtcalc*display:
    This resource allows the user to change the default for the way answers are display on the calculator. The default is "fixed". Possible values are:

    fixed (or fix): display in fixed mode.

    scientific (or sci): display in scientific mode.

    engineering (or eng): display in engineering mode.

    hexidecimal: do calculations in base 16.

FEATURES

Memory Register

Financial Register

ASCII Converter

Functions

Constants

Help

Popup Menu Support

COPYRIGHT
(c) Copyright 1994 Hewlett-Packard Company

    (c) Copyright 1994 International Business Machines Corp.

    (c) Copyright 1994 Sun Microsystems, Inc.

ORIGIN
Hewlett-Packard Company, WTD-CV.